Loading...
Searching...
No Matches
AutoPtr.h File Reference

AutoPtr is a local implementation of STL's auto_ptr that makes dynamic memory handling a bit easier. More...

`#include <cstdlib>`

Go to the source code of this file.

## Classes

class | ASSA::AutoPtrRef< R >
| A wrapper class to provide AutoPtr with reference semantics. More...
class | ASSA::AutoPtr< X >
| AutoPtr is based on SGI implementation of a auto_ptr template that makes memory handling a little bit easier. More...
class | ASSA::AutoPtrArrayRef< R >
| A wrapper class to provide AutoPtr with reference semantics. More...
class | ASSA::AutoPtrArray< X >
| AutoPtrArray handles memory management of an array of objects. More...

## Namespaces

namespace | ASSA

## Detailed Description

AutoPtr is a local implementation of STL's auto_ptr that makes dynamic memory handling a bit easier.

Definition in file AutoPtr.h.